edu.sc.seis.sod.status

## Class SiteFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.SiteFormatter

- All Implemented Interfaces:
    SiteTemplate

      public class SiteFormatter
      extends Template
      implements SiteTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteFormatter(org.w3c.dom.Element el)`
    `SiteFormatter(org.w3c.dom.Element el, SiteGroupTemplate sgt)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatSiteCode(java.lang.String siteCode)`
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.Site site)` Method getResult
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteFormatter

          public SiteFormatter(org.w3c.dom.Element el)
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SiteFormatter

          public SiteFormatter(org.w3c.dom.Element el,
                               SiteGroupTemplate sgt)
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.Site site)

      Method getResult
      Specified by:
        `getResult` in interface `SiteTemplate`
      Parameters:
        `site` - a Site
      Returns:
        a String

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)

      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `Template`

    - #### formatSiteCode

          public static java.lang.String formatSiteCode(java.lang.String siteCode)